php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #28750 Configuring PHP5 with Firebird 1.5
Submitted: 2004-06-12 06:46 UTC Modified: 2004-06-12 12:15 UTC
From: m_sayapin at mail dot ru Assigned:
Status: Not a bug Package: InterBase related
PHP Version: 5.0.0RC2 OS: FreeBSD 5.0-RELEASE
Private report: No CVE-ID: None
 [2004-06-12 06:46 UTC] m_sayapin at mail dot ru
Description:
------------
Trying to install PHP5 with Interbase support, I encountered the same problem as many of PHP users. But the strange errors 
/usr/lib/libgds.so: undefined reference to `write@GLIBC_2.0'
makes me think I need glibc, which is not ported to FreeBSD.
How can I evade this problem? (if I can).

Reproduce code:
---------------
configure: error: libgds, libib_util or libfbclient not found! Check config.log for more information.

config.log          [BM--] 60 L:[2784+26 2810/3416] *(91768/112972b)= '  39 0x27
#endif
/* We use char because int might match the return type of a gcc2
   builtin and then its argument prototype would still apply.  */
char isc_detach_database ();
#ifdef F77_DUMMY_MAIN
#  ifdef __cplusplus
     extern "C"
#  endif
   int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
isc_detach_database ();
  ;
  return 0;
}
configure:52243: result: no
configure:52339: checking for isc_detach_database in -lib_util
configure:52372: gcc -o conftest -g -O2   -R/usr/local/lib -L/usr/local/lib conftest.c -lib_ut
/usr/bin/ld: warning: libm.so.6, needed by /usr/lib/libib_util.so, not found (try using -rpath
/usr/bin/ld: warning: libdl.so.2, needed by /usr/lib/libib_util.so, not found (try using -rpat
/usr/lib/libgds.so: undefined reference to `getenv@GLIBC_2.0'
/usr/lib/libgds.so: undefined reference to `strcpy@GLIBC_2.0'
/usr/lib/libgds.so: undefined reference to `free@GLIBC_2.0'
/usr/lib/libgds.so: undefined reference to `write@GLIBC_2.0'
/usr/lib/libgds.so: undefined reference to `strchr@GLIBC_2.0
... and so on


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2004-06-12 12:15 UTC] derick@php.net
This is not a bug in PHP, but has to do with 'broken' interbase .so's
 [2004-07-06 22:21 UTC] vieuxsinge at generation-net dot com
I'm not sure that is interbase .so who is broken ....

I try beetween too day's ago to install php 4.3.3 with Interbase support , on mandrake 9.2 for Athlon 64 with apache 2.0

When i make ./configure --with-interbase,

I've the same message has you :

configure: error: libgds, libib_util or libfbclient not found! Check
config.log for more information.

But libgds is on my system, and interbase run without any problem.

Then after read your message, i try with Firebird 1.5 and it's making the same error ... :-(

I haven't this pb on lasted version of php (Apache-AdvancedExtranetServer/2.0.44 (Mandrake Linux/11mdk) PHP/4.3.1)
(my second web server)

What do you mean about 'broken' interbase .so's

I hope you could help me , because i haven't find anything of this probleme on the net.

Sorry for my bad englihs.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Jul 13 03:01:26 2020 UTC